module Rees46Spree
  class Engine < ::Rails::Engine
    require 'spree/core'
    require 'spree/frontend'
    isolate_namespace Rees46Spree
    engine_name 'rees46_spree'

    config.autoload_paths += %W(#{config.root}/lib)

    def self.activate
      Dir.glob(File.join(File.dirname(__FILE__), '../../app/**/*_decorator*.rb')) do |c|
        Rails.configuration.cache_classes ? require(c) : load(c)
      end
    end
    config.to_prepare &method(:activate).to_proc
  end
end
